### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-tabs/ecl-tab.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`EclTab`

### Metadata

selector | `ecl-tab`
templateUrl | `./ecl-tab.component.html`

### Index

###### Properties
role tabContentTemplate
###### Methods
onTabClick getCssClasses
###### Inputs
id isActive isHidden isMore class e2eAttr
###### Outputs
select
###### HostBindings
attr.role class
###### Accessors
cssClasses hostElement

### Constructor

`constructor(el: ElementRef)`
Parameters :
Name | Type | Optional
el | `ElementRef` | No

### Inputs

id
Type : `string`

isActive
Type : `boolean`
Default value : `false`

isHidden
Type : `boolean`
Default value : `false`

isMore
Type : `boolean`
Default value : `false`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

select
Type : `EventEmitter`

### HostBindings

attr.role
Type : `string`
Default value : `'listitem'`

class
Type : `any`

### Methods

onTabClick
`onTabClick(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

role
Type : `string`
Default value : `'listitem'`
Decorators : `@HostBinding('attr.role')`

tabContentTemplate
Type : `TemplateRef<any>`
Decorators : `@ViewChild('content')`

### Accessors

cssClasses
get `cssClasses()`

hostElement
get `hostElement()`

# results matching ""

# No results matching ""